<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Concept Index</TITLE>
<link href="suif1_112.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_112.html">previous</A>, next, last section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC113" HREF="suif1_toc.html#TOC113">Concept Index</A></H1>
<P>
<H2>a</H2>
<DIR>
<LI><A HREF="suif1_10.html#IDX22">abstract syntax trees</A>
<LI><A HREF="suif1_101.html#IDX718">addresses, symbolic</A>
<LI><A HREF="suif1_84.html#IDX617">annotation lists</A>
<LI><A HREF="suif1_79.html#IDX582">annotation manager</A>
<LI><A HREF="suif1_69.html#IDX542">annotations</A>
<LI><A HREF="suif1_76.html#IDX567">annotations, call-by-reference</A>
<LI><A HREF="suif1_77.html#IDX571">annotations, common block</A>
<LI><A HREF="suif1_71.html#IDX553">annotations, flat</A>
<LI><A HREF="suif1_75.html#IDX561">annotations, initial data</A>
<LI><A HREF="suif1_74.html#IDX559">annotations, predefined</A>
<LI><A HREF="suif1_72.html#IDX555">annotations, structured</A>
<LI><A HREF="suif1_73.html#IDX557">annotations, unregistered</A>
<LI><A HREF="suif1_69.html#IDX543">annotes</A>
<LI><A HREF="suif1_105.html#IDX744">arguments, command-line</A>
<LI><A HREF="suif1_36.html#IDX218">array instructions</A>
<LI><A HREF="suif1_63.html#IDX438">array types</A>
<LI><A HREF="suif1_106.html#IDX748">assertions</A>
<LI><A HREF="suif1_94.html#IDX666">association lists</A>
<LI><A HREF="suif1_11.html#IDX25">AST nodes</A>
<LI><A HREF="suif1_10.html#IDX23">ASTs</A>
</DIR>
<H2>b</H2>
<DIR>
<LI><A HREF="suif1_61.html#IDX427">base types</A>
<LI><A HREF="suif1_96.html#IDX679">bit sets</A>
<LI><A HREF="suif1_96.html#IDX678">bit vectors</A>
<LI><A HREF="suif1_18.html#IDX107">block nodes</A>
<LI><A HREF="suif1_45.html#IDX278">block symbol tables</A>
<LI><A HREF="suif1_33.html#IDX197">branch and jump instructions</A>
</DIR>
<H2>c</H2>
<DIR>
<LI><A HREF="suif1_35.html#IDX209">call instructions</A>
<LI><A HREF="suif1_76.html#IDX566">call-by-reference annotations</A>
<LI><A HREF="suif1_90.html#IDX649">call-by-reference parameters</A>
<LI><A HREF="suif1_85.html#IDX621">cloning</A>
<LI><A HREF="suif1_105.html#IDX743">command-line arguments</A>
<LI><A HREF="suif1_77.html#IDX570">common block annotations</A>
</DIR>
<H2>d</H2>
<DIR>
<LI><A HREF="suif1_91.html#IDX653">data structures, generic</A>
<LI><A HREF="suif1_25.html#IDX144">destination operands</A>
<LI><A HREF="suif1_95.html#IDX672">doubly-linked lists</A>
<LI><A HREF="suif1_85.html#IDX622">duplication</A>
</DIR>
<H2>e</H2>
<DIR>
<LI><A HREF="suif1_66.html#IDX488">enumerated types</A>
<LI><A HREF="suif1_106.html#IDX749">errors</A>
<LI><A HREF="suif1_78.html#IDX574">exception handling</A>
<LI><A HREF="suif1_31.html#IDX177">expression trees</A>
<LI><A HREF="suif1_98.html#IDX689">extensible arrays</A>
</DIR>
<H2>f</H2>
<DIR>
<LI><A HREF="suif1_78.html#IDX573">fields annotations</A>
<LI><A HREF="suif1_8.html#IDX5">file set</A>
<LI><A HREF="suif1_9.html#IDX13">file set entries</A>
<LI><A HREF="suif1_43.html#IDX268">file symbol tables</A>
<LI><A HREF="suif1_71.html#IDX552">flat annotations</A>
<LI><A HREF="suif1_17.html#IDX78">for nodes</A>
<LI><A HREF="suif1_44.html#IDX275">formal parameters</A>
<LI><A HREF="suif1_89.html#IDX648">Fortran form</A>
<LI><A HREF="suif1_64.html#IDX456">function types</A>
</DIR>
<H2>g</H2>
<DIR>
<LI><A HREF="suif1_91.html#IDX652">generic data structures</A>
<LI><A HREF="suif1_39.html#IDX254">generic instructions</A>
<LI><A HREF="suif1_92.html#IDX654">generic lists</A>
<LI><A HREF="suif1_42.html#IDX265">global symbol table</A>
</DIR>
<H2>h</H2>
<DIR>
<LI><A HREF="suif1_97.html#IDX683">hash tables</A>
<LI><A HREF="suif1_3.html#IDX3">high-SUIF</A>
</DIR>
<H2>i</H2>
<DIR>
<LI><A HREF="suif1_12.html#IDX27">ID numbers</A>
<LI><A HREF="suif1_12.html#IDX29">ID numbers, instruction</A>
<LI><A HREF="suif1_50.html#IDX322">ID numbers, symbol</A>
<LI><A HREF="suif1_12.html#IDX31">ID numbers, tree node</A>
<LI><A HREF="suif1_50.html#IDX323">ID numbers, type</A>
<LI><A HREF="suif1_15.html#IDX54">if nodes</A>
<LI><A HREF="suif1_100.html#IDX695">immediate values</A>
<LI><A HREF="suif1_75.html#IDX560">initial data annotations</A>
<LI><A HREF="suif1_104.html#IDX733">initialization</A>
<LI><A HREF="suif1_24.html#IDX136">instruction formats</A>
<LI><A HREF="suif1_12.html#IDX28">instruction ID numbers</A>
<LI><A HREF="suif1_14.html#IDX45">instruction nodes</A>
<LI><A HREF="suif1_22.html#IDX131">instructions</A>
<LI><A HREF="suif1_36.html#IDX219">instructions, array</A>
<LI><A HREF="suif1_23.html#IDX132">instructions, basic features</A>
<LI><A HREF="suif1_33.html#IDX198">instructions, branch and jump</A>
<LI><A HREF="suif1_35.html#IDX210">instructions, call</A>
<LI><A HREF="suif1_39.html#IDX255">instructions, generic</A>
<LI><A HREF="suif1_38.html#IDX250">instructions, label</A>
<LI><A HREF="suif1_34.html#IDX205">instructions, load constant</A>
<LI><A HREF="suif1_37.html#IDX237">instructions, multi-way branch</A>
<LI><A HREF="suif1_29.html#IDX161">instructions, printing</A>
<LI><A HREF="suif1_32.html#IDX181">instructions, three operand</A>
<LI><A HREF="suif1_1.html#IDX2">introduction</A>
<LI><A HREF="suif1_96.html#IDX682">iterators, bit set</A>
<LI><A HREF="suif1_92.html#IDX660">iterators, list</A>
<LI><A HREF="suif1_107.html#IDX758">iterators, procedure</A>
</DIR>
<H2>l</H2>
<DIR>
<LI><A HREF="suif1_38.html#IDX249">label instructions</A>
<LI><A HREF="suif1_54.html#IDX367">label symbols</A>
<LI><A HREF="suif1_17.html#IDX99">landing pads</A>
<LI><A HREF="suif1_102.html#IDX724">lexicon</A>
<LI><A HREF="suif1_78.html#IDX575">line numbers</A>
<LI><A HREF="suif1_92.html#IDX656">linked lists</A>
<LI><A HREF="suif1_94.html#IDX667">lists, association</A>
<LI><A HREF="suif1_95.html#IDX673">lists, doubly-linked</A>
<LI><A HREF="suif1_92.html#IDX655">lists, generic</A>
<LI><A HREF="suif1_93.html#IDX663">lists, move-to-front</A>
<LI><A HREF="suif1_34.html#IDX204">load constant instructions</A>
<LI><A HREF="suif1_16.html#IDX65">loop nodes</A>
<LI><A HREF="suif1_3.html#IDX4">low-SUIF</A>
</DIR>
<H2>m</H2>
<DIR>
<LI><A HREF="suif1_56.html#IDX375">machine registers</A>
<LI><A HREF="suif1_79.html#IDX583">manager, annotations</A>
<LI><A HREF="suif1_14.html#IDX46">mapping instructions</A>
<LI><A HREF="suif1_21.html#IDX128">mapping subtrees</A>
<LI><A HREF="suif1_67.html#IDX501">modifier types</A>
<LI><A HREF="suif1_93.html#IDX662">move-to-front lists</A>
<LI><A HREF="suif1_37.html#IDX236">multi-way branch instructions</A>
</DIR>
<H2>n</H2>
<DIR>
<LI><A HREF="suif1_18.html#IDX108">nested scopes</A>
</DIR>
<H2>o</H2>
<DIR>
<LI><A HREF="suif1_83.html#IDX603">objects, SUIF</A>
<LI><A HREF="suif1_24.html#IDX135">opcodes</A>
<LI><A HREF="suif1_30.html#IDX163">operands</A>
<LI><A HREF="suif1_25.html#IDX145">operands, destination</A>
<LI><A HREF="suif1_28.html#IDX153">operands, source</A>
<LI><A HREF="suif1_104.html#IDX735">options, standard</A>
<LI><A HREF="suif1_1.html#IDX1">overview</A>
</DIR>
<H2>p</H2>
<DIR>
<LI><A HREF="suif1_44.html#IDX276">parameters, formal</A>
<LI><A HREF="suif1_62.html#IDX433">pointer types</A>
<LI><A HREF="suif1_74.html#IDX558">predefined annotations</A>
<LI><A HREF="suif1_68.html#IDX511">predefined types</A>
<LI><A HREF="suif1_107.html#IDX757">procedure iterators</A>
<LI><A HREF="suif1_19.html#IDX115">procedure nodes</A>
<LI><A HREF="suif1_44.html#IDX272">procedure symbol tables</A>
<LI><A HREF="suif1_53.html#IDX350">procedure symbols</A>
</DIR>
<H2>r</H2>
<DIR>
<LI><A HREF="suif1_78.html#IDX576">register numbers</A>
<LI><A HREF="suif1_56.html#IDX376">registers, machine</A>
</DIR>
<H2>s</H2>
<DIR>
<LI><A HREF="suif1_57.html#IDX393">slaving sub-variable properties</A>
<LI><A HREF="suif1_28.html#IDX152">source operands</A>
<LI><A HREF="suif1_104.html#IDX734">standard options</A>
<LI><A HREF="suif1_102.html#IDX723">string table</A>
<LI><A HREF="suif1_65.html#IDX470">structure types</A>
<LI><A HREF="suif1_72.html#IDX554">structured annotations</A>
<LI><A HREF="suif1_81.html#IDX593">structured annotations, conversion</A>
<LI><A HREF="suif1_81.html#IDX595">structured annotations, deallocation</A>
<LI><A HREF="suif1_81.html#IDX594">structured annotations, printing</A>
<LI><A HREF="suif1_57.html#IDX392">sub-variables</A>
<LI><A HREF="suif1_83.html#IDX602">SUIF objects</A>
<LI><A HREF="suif1_50.html#IDX320">symbol ID numbers</A>
<LI><A HREF="suif1_46.html#IDX289">symbol table chain name</A>
<LI><A HREF="suif1_46.html#IDX286">symbol table name</A>
<LI><A HREF="suif1_42.html#IDX266">symbol table, global</A>
<LI><A HREF="suif1_40.html#IDX260">symbol tables</A>
<LI><A HREF="suif1_49.html#IDX309">symbol tables, adding entries</A>
<LI><A HREF="suif1_46.html#IDX282">symbol tables, basic features</A>
<LI><A HREF="suif1_45.html#IDX279">symbol tables, block</A>
<LI><A HREF="suif1_43.html#IDX269">symbol tables, file</A>
<LI><A HREF="suif1_47.html#IDX292">symbol tables, lookup methods</A>
<LI><A HREF="suif1_44.html#IDX273">symbol tables, procedure</A>
<LI><A HREF="suif1_49.html#IDX310">symbol tables, removing entries</A>
<LI><A HREF="suif1_101.html#IDX717">symbolic addresses</A>
<LI><A HREF="suif1_51.html#IDX331">symbols</A>
<LI><A HREF="suif1_54.html#IDX368">symbols, label</A>
<LI><A HREF="suif1_53.html#IDX351">symbols, procedure</A>
<LI><A HREF="suif1_55.html#IDX371">symbols, variable</A>
</DIR>
<H2>t</H2>
<DIR>
<LI><A HREF="suif1_103.html#IDX729">target machine parameters</A>
<LI><A HREF="suif1_32.html#IDX180">three operand instructions</A>
<LI><A HREF="suif1_18.html#IDX106">tree blocks</A>
<LI><A HREF="suif1_17.html#IDX77">tree fors</A>
<LI><A HREF="suif1_15.html#IDX53">tree ifs</A>
<LI><A HREF="suif1_14.html#IDX44">tree instructions</A>
<LI><A HREF="suif1_16.html#IDX64">tree loops</A>
<LI><A HREF="suif1_12.html#IDX30">tree node ID numbers</A>
<LI><A HREF="suif1_20.html#IDX118">tree node lists</A>
<LI><A HREF="suif1_11.html#IDX24">tree nodes</A>
<LI><A HREF="suif1_19.html#IDX114">tree procedures</A>
<LI><A HREF="suif1_10.html#IDX21">trees</A>
<LI><A HREF="suif1_50.html#IDX321">type ID numbers</A>
<LI><A HREF="suif1_59.html#IDX412">types</A>
<LI><A HREF="suif1_63.html#IDX439">types, array</A>
<LI><A HREF="suif1_61.html#IDX428">types, base</A>
<LI><A HREF="suif1_66.html#IDX489">types, enumerated</A>
<LI><A HREF="suif1_64.html#IDX457">types, function</A>
<LI><A HREF="suif1_67.html#IDX502">types, modifiers</A>
<LI><A HREF="suif1_62.html#IDX434">types, pointer</A>
<LI><A HREF="suif1_68.html#IDX512">types, predefined</A>
<LI><A HREF="suif1_65.html#IDX472">types, structure</A>
<LI><A HREF="suif1_65.html#IDX473">types, union</A>
</DIR>
<H2>u</H2>
<DIR>
<LI><A HREF="suif1_65.html#IDX471">union types</A>
<LI><A HREF="suif1_73.html#IDX556">unregistered annotations</A>
</DIR>
<H2>v</H2>
<DIR>
<LI><A HREF="suif1_58.html#IDX405">variable definitions</A>
<LI><A HREF="suif1_55.html#IDX370">variable symbols</A>
<LI><A HREF="suif1_75.html#IDX562">variables, initialization</A>
</DIR>
<H2>w</H2>
<DIR>
<LI><A HREF="suif1_106.html#IDX750">warnings</A>
</DIR>

</P>
<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_112.html">previous</A>, next, last section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
